Bug 586167 - achemso in texlive still broken
Summary: achemso in texlive still broken
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
(Show other bugs)
Version: 12
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 01:10 UTC by Jussi Eloranta
Modified: 2013-07-02 23:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 15:23:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jussi Eloranta 2010-04-27 01:10:45 UTC
Description of problem:

The achemso package is still broken in the current textlive in FC12 (up to date as of 4/26/2010). I filed a bug report on this earlier and there were some fixes done but apparently it still does not work. If I run latex on the input file and then run bibtex, I get:

This is BibTeX, Version 0.99c (Web2C 7.5.6)
The top-level auxiliary file: alc.aux
The style file: achemso.bst
Database file #1: acs-alc.bib
Warning--entry type for "achemso-control" isn't style-file defined
--line 4 of file acs-alc.bib
Database file #2: alc.bib
`title' is a missing field, not a string, for entry achemso-control
while executing---line 1120 of file achemso.bst
Warning--all relevant fields are empty in achemso-control
Warning--Empty author in fedorov

If I download and install the achemso manually, it works fine.

Comment 1 Gregor Hlawacek 2010-07-15 07:48:00 UTC
I can confirm this and it leads to a useless first empty bib entry.
I guess it should be relatively simple to solve this.

Gregor

Comment 2 Bug Zapper 2010-11-03 16:13:54 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-12-03 15:23:59 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.